/************************************************************************/

//	Original code from file manager sarah

/************************************************************************/

#ifndef	GNOME_PATH_FILE_OP
#define	GNOME_PATH_FILE_OP

#include	<gnome.h>


/************************************************************************/
// function for classing list , path must exist and these a list of is files
GList	*list_by_name( GList *list );

// same as g_dirname, execpt that can return parent of a dir ( p ending with '/' )
// always return a slash ending string, except for no solution, return "."
// p MUST != NULL
gchar	*g_dirname_ext( gchar const *p );

// return ( g_new ) the last file / dir of a path string, even if end with '/'
// p must be a valid path form, no "/"...
gchar *g_basename_ext( gchar const *p );

/************************************************************************/
// create a dynamic path from source file to file in path_dest, must be both static
// return NULL if can't
gchar	*made_dynamic_path( gchar const *source, gchar const *path_dest );

// create a static path from dynamic data of a file in path
// NULL on error
gchar	*made_static_path( gchar const *path, gchar const *data );

/************************************************************************/
// test if  ' child ' is child of ' parent ' directory
// nota : full static path
gboolean file_is_child_of( gchar const *parent_path, gchar *child_path );

// true if one path is child of other
gboolean one_is_child( gchar const *path1, gchar const *path2 );

// 1 if path 1 child of 2, return 2 if path2 is child of 1, 0 if none
guint who_is_child(gchar const *path1, gchar const *path2 );

#endif	GNOME_PATH_FILE_OP

