/************************************************************************/
//	test for the gnome_path widget, just create a main app with a gnome_path !
//	click the button otr enter test to change path...

// use the gnome_path_test.sh file to test without install the library....

/************************************************************************/


#include	"conf_header"

#include	<gnome.h>
#include	"gnome_path.h"

/************************************************************************/
//	static function
/************************************************************************/

static void path_changed_callback( GnomePath *w, GnomePathChangeEnum change, gpointer f );

/************************************************************************/
// variables definitions
/************************************************************************/
GnomeApp	*win;
GnomePath	*path_w;

/************************************************************************/
int main( int argc, char *argv[] )
{

	gnome_init( "gnome_path test", "0.1", argc, argv );

		// create main window
	win = GNOME_APP( gnome_app_new( "gnome_path test", "gnome_path test app" ) );
	gnome_app_set_statusbar( win, gnome_appbar_new( FALSE, TRUE, GNOME_PREFERENCES_ALWAYS ) );
	
	// create a gnome path widget, will automatically focus the curent dir...
	path_w = GNOME_PATH( gnome_path_new() );
		
	// register the callback : display a message when the path change...
	gtk_signal_connect( GTK_OBJECT( path_w ), "path_changed", GTK_SIGNAL_FUNC( path_changed_callback ), NULL );
	
	// add content	
	gnome_app_set_contents( win, GTK_WIDGET( path_w ) );
	gtk_widget_show_all( GTK_WIDGET( win ) );

	gtk_main();	
	
	return( 0 );
}

/************************************************************************/
static void path_changed_callback( GnomePath *w, GnomePathChangeEnum change, gpointer f )
{
gchar	*message;
	
	switch( change ) {
		case GNOME_PATH_CHANGE_TO_NEW :
			message = g_strconcat( "Changed for new dir : ", gnome_path_get_path_fast( w ), NULL );
			break;
		case GNOME_PATH_CHANGE_TO_CHILD :
			message = g_strconcat( "Changed for a child dir : ", gnome_path_get_path_fast( w ), NULL );
			break;
		case GNOME_PATH_CHANGE_TO_PARENT :
			message = g_strconcat( "Changed for a parent dir : ", gnome_path_get_path_fast( w ), NULL );
			break;
		case GNOME_PATH_CHANGE_NO_CHANGE :
			message = g_strdup( "There no change to do..." );
			break;
		default :
			return;
	}

	gnome_app_flash( win, message );
	g_free( message );
}
